Package org.eclipse.emf.cdo.server.db.mapping

# Interface IListMappingBatchingSupport

public interface IListMappingBatchingSupport
Optional bulk-write extension for `IListMapping`.

Since:
  4.15
Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`void`
`processDeltas(IDBStoreAccessor accessor, ListDeltaWork[] work, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Processes list deltas in their supplied order.
`void`
`writeValues(IDBStoreAccessor accessor, InternalCDORevision[] revisions, boolean firstRevision, boolean raw, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)`
Writes complete list values for the supplied revisions.

## Method Details

### writeValues

void writeValues(IDBStoreAccessor accessor, InternalCDORevision[] revisions, boolean firstRevision, boolean raw, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
Writes complete list values for the supplied revisions.

### processDeltas

void processDeltas(IDBStoreAccessor accessor, ListDeltaWork[] work, org.eclipse.net4j.util.om.monitor.OMMonitor monitor)
Processes list deltas in their supplied order.